libebook::XMLTreeWalker::Attribute Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libebook::XMLTreeWalker::Attribute Class Reference

`#include <XMLTreeWalker.h>`

## Public Member Functions
int | getId () const
int | getValueId () const
const std::string | getName () const
const std::string | getNamespace () const
const std::string | getValue () const
bool | operator== (const XMLTreeWalker::Attribute &rhs) const

## Private Member Functions
| Attribute (const XMLTreeNodePtr_t &node, std::size_t index, TokenizerFun_t tok)

## Private Attributes
XMLTreeNodePtr_t | m_node
std::size_t | m_index
TokenizerFun_t | m_tok

## Friends
class | AttributeIterator
class | XMLTreeWalker

## Constructor & Destructor Documentation

## ◆ Attribute()

libebook::XMLTreeWalker::Attribute::Attribute | ( | const XMLTreeNodePtr_t & | node,
|  | std::size_t | index,
|  | TokenizerFun_t | tok
| ) |  |
| private

## Member Function Documentation

## ◆ getId()

int libebook::XMLTreeWalker::Attribute::getId | ( |  | ) | const

## ◆ getName()

const std::string libebook::XMLTreeWalker::Attribute::getName | ( |  | ) | const

## ◆ getNamespace()

const std::string libebook::XMLTreeWalker::Attribute::getNamespace | ( |  | ) | const

## ◆ getValue()

const std::string libebook::XMLTreeWalker::Attribute::getValue | ( |  | ) | const

## ◆ getValueId()

int libebook::XMLTreeWalker::Attribute::getValueId | ( |  | ) | const

## ◆ operator==()

bool libebook::XMLTreeWalker::Attribute::operator== | ( | const XMLTreeWalker::Attribute & | rhs | ) | const

## Friends And Related Function Documentation

## ◆ AttributeIterator

friend class AttributeIterator
| friend

## ◆ XMLTreeWalker

friend class XMLTreeWalker
| friend

## Member Data Documentation

## ◆ m_index

std::size_t libebook::XMLTreeWalker::Attribute::m_index
| private

Referenced by getId().

## ◆ m_node

XMLTreeNodePtr_t libebook::XMLTreeWalker::Attribute::m_node
| private

Referenced by getId().

## ◆ m_tok

TokenizerFun_t libebook::XMLTreeWalker::Attribute::m_tok
| private

Referenced by getId().

The documentation for this class was generated from the following files:

- XMLTreeWalker.h
- XMLTreeWalker.cpp